<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>LibGE: GEGrammarSI Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="cropped-BDS-Logo-1.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">LibGE
   &#160;<span id="projectnumber">0.31.0</span>
   </div>
   <div id="projectbrief">A c++ GE implementation</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="class_g_e_grammar_s_i-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">GEGrammarSI Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_g_e_grammar_s_i_8h_source.html">GEGrammarSI.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for GEGrammarSI:</div>
<div class="dyncontent">
<div class="center"><img src="class_g_e_grammar_s_i__inherit__graph.png" border="0" usemap="#_g_e_grammar_s_i_inherit__map" alt="Inheritance graph"/></div>
<!-- MAP 0 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for GEGrammarSI:</div>
<div class="dyncontent">
<div class="center"><img src="class_g_e_grammar_s_i__coll__graph.png" border="0" usemap="#_g_e_grammar_s_i_coll__map" alt="Collaboration graph"/></div>
<!-- MAP 1 -->
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:aec8a83108e13942ebd5a5d668757c61d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#aec8a83108e13942ebd5a5d668757c61d">GEGrammarSI</a> (bool useAttributeGrammar=false, <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *lookup=NULL, <a class="el" href="class_a_g_context.html">AGContext</a> *context=NULL)</td></tr>
<tr class="separator:aec8a83108e13942ebd5a5d668757c61d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c68ce8b820c49b6d10f797203b786d2"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a9c68ce8b820c49b6d10f797203b786d2">GEGrammarSI</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;, bool useAttributeGrammar=false, <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *lookup=NULL, <a class="el" href="class_a_g_context.html">AGContext</a> *context=NULL)</td></tr>
<tr class="separator:a9c68ce8b820c49b6d10f797203b786d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e3dc35bef352f55e7250b70eff08ba"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#ac5e3dc35bef352f55e7250b70eff08ba">GEGrammarSI</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;, bool useAttributeGrammar=false, <a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a> *newAGDTree=NULL, <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *lookup=NULL, <a class="el" href="class_a_g_context.html">AGContext</a> *context=NULL)</td></tr>
<tr class="separator:ac5e3dc35bef352f55e7250b70eff08ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f1385c9b6b3df5933e689dcbc5c1528"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a7f1385c9b6b3df5933e689dcbc5c1528">GEGrammarSI</a> (const <a class="el" href="class_g_e_grammar_s_i.html">GEGrammarSI</a> &amp;)</td></tr>
<tr class="separator:a7f1385c9b6b3df5933e689dcbc5c1528"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3590c5857c7be0318286a4b7093bb59c"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a3590c5857c7be0318286a4b7093bb59c">~GEGrammarSI</a> ()</td></tr>
<tr class="separator:a3590c5857c7be0318286a4b7093bb59c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bd217d5d37991e377905962353e755a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a8bd217d5d37991e377905962353e755a">getGrow</a> () const</td></tr>
<tr class="separator:a8bd217d5d37991e377905962353e755a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a188a97c9ca005f804fc236a0897da474"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a188a97c9ca005f804fc236a0897da474">setGrow</a> (const float)</td></tr>
<tr class="separator:a188a97c9ca005f804fc236a0897da474"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3985f0e2ef65a3feb8c6bc103f23ce7a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a3985f0e2ef65a3feb8c6bc103f23ce7a">getFull</a> () const</td></tr>
<tr class="separator:a3985f0e2ef65a3feb8c6bc103f23ce7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b28ed5f1dcb4d2c6e5fc6ad135fa173"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a0b28ed5f1dcb4d2c6e5fc6ad135fa173">setFull</a> (const float)</td></tr>
<tr class="separator:a0b28ed5f1dcb4d2c6e5fc6ad135fa173"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a1822be13ea58189255f43ab1cb1f0a"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a3a1822be13ea58189255f43ab1cb1f0a">getMaxDepth</a> () const</td></tr>
<tr class="separator:a3a1822be13ea58189255f43ab1cb1f0a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9ed35179956ed3b750a3dfddf19f824"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#aa9ed35179956ed3b750a3dfddf19f824">setMaxDepth</a> (const unsigned int)</td></tr>
<tr class="separator:aa9ed35179956ed3b750a3dfddf19f824"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a67c0a6d9687a9c6b1f9dfde3287b63c0"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a67c0a6d9687a9c6b1f9dfde3287b63c0">getTailRatio</a> () const</td></tr>
<tr class="separator:a67c0a6d9687a9c6b1f9dfde3287b63c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a706104b1a5d1589fbfe5accee668e706"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a706104b1a5d1589fbfe5accee668e706">setTailRatio</a> (const float)</td></tr>
<tr class="separator:a706104b1a5d1589fbfe5accee668e706"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1cf85748f587412349ab967f565f40ea"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a1cf85748f587412349ab967f565f40ea">getTailSize</a> () const</td></tr>
<tr class="separator:a1cf85748f587412349ab967f565f40ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a75eca9dfb2587e18862aa6ca5686882b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#a75eca9dfb2587e18862aa6ca5686882b">setTailSize</a> (const unsigned int)</td></tr>
<tr class="separator:a75eca9dfb2587e18862aa6ca5686882b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee49b2210200330f9f8dd7cf595b8c90"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#aee49b2210200330f9f8dd7cf595b8c90">init</a> (const unsigned int=UINT_MAX)</td></tr>
<tr class="separator:aee49b2210200330f9f8dd7cf595b8c90"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_g_e_grammar"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_g_e_grammar')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_g_e_grammar.html">GEGrammar</a></td></tr>
<tr class="memitem:ae830c5433862d8fdfd7f8c4835e7eb9e inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#ae830c5433862d8fdfd7f8c4835e7eb9e">GEGrammar</a> (bool useAttributeGrammar=false, <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *lookup=NULL, <a class="el" href="class_a_g_context.html">AGContext</a> *context=NULL)</td></tr>
<tr class="separator:ae830c5433862d8fdfd7f8c4835e7eb9e inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6c1b1684b37ac1573b4b1f3d4fa4b02 inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#aa6c1b1684b37ac1573b4b1f3d4fa4b02">GEGrammar</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;, bool useAttributeGrammar=false, <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *lookup=NULL, <a class="el" href="class_a_g_context.html">AGContext</a> *context=NULL)</td></tr>
<tr class="separator:aa6c1b1684b37ac1573b4b1f3d4fa4b02 inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b76601fcf6714a1f8699863a02cc665 inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a0b76601fcf6714a1f8699863a02cc665">GEGrammar</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;, bool useAttributeGrammar=false, <a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a> *newAGDTree=NULL, <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *lookup=NULL, <a class="el" href="class_a_g_context.html">AGContext</a> *context=NULL)</td></tr>
<tr class="separator:a0b76601fcf6714a1f8699863a02cc665 inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3b9a37ef766853fcd64b9ffc5fee6494 inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a3b9a37ef766853fcd64b9ffc5fee6494">GEGrammar</a> (const <a class="el" href="class_g_e_grammar.html">GEGrammar</a> &amp;)</td></tr>
<tr class="separator:a3b9a37ef766853fcd64b9ffc5fee6494 inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8367224e0df8d053020b8d2d11c4a0df inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a8367224e0df8d053020b8d2d11c4a0df">~GEGrammar</a> ()</td></tr>
<tr class="separator:a8367224e0df8d053020b8d2d11c4a0df inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a21ebd976b925f9bca026adafe03bc9ed inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a21ebd976b925f9bca026adafe03bc9ed">getMaxWraps</a> () const</td></tr>
<tr class="separator:a21ebd976b925f9bca026adafe03bc9ed inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3dcf34577cb0b50ac6378c189214167b inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a3dcf34577cb0b50ac6378c189214167b">setMaxWraps</a> (const unsigned int)</td></tr>
<tr class="separator:a3dcf34577cb0b50ac6378c189214167b inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a86709dea8ef68e7c45a5a095bf744a inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a9a86709dea8ef68e7c45a5a095bf744a">getUseAG</a> () const</td></tr>
<tr class="separator:a9a86709dea8ef68e7c45a5a095bf744a inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aef8a113b25790e69c25f07a577aeedfd inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="_c_f_grammar_8h.html#abc016d5291a9696bcd5da13b60dbf4b8">DerivationTree</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#aef8a113b25790e69c25f07a577aeedfd">getDerivationTree</a> ()</td></tr>
<tr class="separator:aef8a113b25790e69c25f07a577aeedfd inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2389c303315fdd225aacc2738e4b26ba inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a2389c303315fdd225aacc2738e4b26ba">getAGDerivationTree</a> () const</td></tr>
<tr class="separator:a2389c303315fdd225aacc2738e4b26ba inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aea923543ae2868ec2d62d73f4e7b6724 inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">const vector&lt; <a class="el" href="class_production.html">Production</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#aea923543ae2868ec2d62d73f4e7b6724">getProductions</a> ()</td></tr>
<tr class="separator:aea923543ae2868ec2d62d73f4e7b6724 inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb5dc765a9ed5c524a391de456e2fac7 inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_a_g_look_up.html">AGLookUp</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#afb5dc765a9ed5c524a391de456e2fac7">getAGLookUp</a> () const</td></tr>
<tr class="separator:afb5dc765a9ed5c524a391de456e2fac7 inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa187fdd540de7acf0aeb5b628ebf8140 inherit pub_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_a_g_context.html">AGContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#aa187fdd540de7acf0aeb5b628ebf8140">getAGContext</a> () const</td></tr>
<tr class="separator:aa187fdd540de7acf0aeb5b628ebf8140 inherit pub_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_c_f_grammar"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_c_f_grammar')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_c_f_grammar.html">CFGrammar</a></td></tr>
<tr class="memitem:a6955bde4faa1d7b5d1f092c242a11a1b inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#a6955bde4faa1d7b5d1f092c242a11a1b">CFGrammar</a> ()</td></tr>
<tr class="separator:a6955bde4faa1d7b5d1f092c242a11a1b inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe99b8f43d91c4ab7c3cafdc82a9d344 inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#abe99b8f43d91c4ab7c3cafdc82a9d344">CFGrammar</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:abe99b8f43d91c4ab7c3cafdc82a9d344 inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad3f6c0fdcb24d335e7b06d91c595615c inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#ad3f6c0fdcb24d335e7b06d91c595615c">CFGrammar</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:ad3f6c0fdcb24d335e7b06d91c595615c inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0320ad56b799cb49442cb99b5b2e126 inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#ac0320ad56b799cb49442cb99b5b2e126">CFGrammar</a> (const <a class="el" href="class_c_f_grammar.html">CFGrammar</a> &amp;)</td></tr>
<tr class="separator:ac0320ad56b799cb49442cb99b5b2e126 inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0113d5a1789a4b7dd15a37ab5c6be6ca inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#a0113d5a1789a4b7dd15a37ab5c6be6ca">~CFGrammar</a> ()</td></tr>
<tr class="separator:a0113d5a1789a4b7dd15a37ab5c6be6ca inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47cd13a9ee2f8c4a8e4acb3945375444 inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#a47cd13a9ee2f8c4a8e4acb3945375444">readBNFFile</a> (const char *)</td></tr>
<tr class="separator:a47cd13a9ee2f8c4a8e4acb3945375444 inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa462f825291aff66060a10b83482e80a inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#aa462f825291aff66060a10b83482e80a">readBNFFile</a> (const string &amp;)</td></tr>
<tr class="separator:aa462f825291aff66060a10b83482e80a inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7379ae6fad68ed1a44dabb89cd41679f inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#a7379ae6fad68ed1a44dabb89cd41679f">readBNFString</a> (const char *)</td></tr>
<tr class="separator:a7379ae6fad68ed1a44dabb89cd41679f inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a07f9ea0f1f829138b648698385d5b932 inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#a07f9ea0f1f829138b648698385d5b932">readBNFString</a> (const string &amp;)</td></tr>
<tr class="separator:a07f9ea0f1f829138b648698385d5b932 inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a406103009ae17033e1fe4cc18d6ca222 inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#a406103009ae17033e1fe4cc18d6ca222">addBNFString</a> (const char *)</td></tr>
<tr class="separator:a406103009ae17033e1fe4cc18d6ca222 inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aed2f7ce3aaee8fbf50438fd482e8c02d inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#aed2f7ce3aaee8fbf50438fd482e8c02d">addBNFString</a> (const string &amp;)</td></tr>
<tr class="separator:aed2f7ce3aaee8fbf50438fd482e8c02d inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab999a495f99d35eeb92e2ff5d46d012d inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#ab999a495f99d35eeb92e2ff5d46d012d">outputBNF</a> (ostream &amp;)</td></tr>
<tr class="separator:ab999a495f99d35eeb92e2ff5d46d012d inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f2aa24443bec5bc92d23e04d505d701 inherit pub_methods_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_rule.html">Rule</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#a4f2aa24443bec5bc92d23e04d505d701">findRule</a> (const <a class="el" href="class_symbol.html">Symbol</a> &amp;)</td></tr>
<tr class="separator:a4f2aa24443bec5bc92d23e04d505d701 inherit pub_methods_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_grammar"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_grammar')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_grammar.html">Grammar</a></td></tr>
<tr class="memitem:aa201250a002a7d07d398fee189a74427 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#aa201250a002a7d07d398fee189a74427">Grammar</a> ()</td></tr>
<tr class="separator:aa201250a002a7d07d398fee189a74427 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63d11104dfca2904fd1be25811adff39 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a63d11104dfca2904fd1be25811adff39">Grammar</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:a63d11104dfca2904fd1be25811adff39 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5af79a501899d2c4531d52061243489f inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a5af79a501899d2c4531d52061243489f">Grammar</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a5af79a501899d2c4531d52061243489f inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7a7ada4ebd4e2d3776deeafb865ace47 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a7a7ada4ebd4e2d3776deeafb865ace47">Grammar</a> (const <a class="el" href="class_grammar.html">Grammar</a> &amp;)</td></tr>
<tr class="separator:a7a7ada4ebd4e2d3776deeafb865ace47 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60e8bade0190ee9830d9c600e4216b36 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a60e8bade0190ee9830d9c600e4216b36">~Grammar</a> ()</td></tr>
<tr class="separator:a60e8bade0190ee9830d9c600e4216b36 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a024bf91281316487ebb0afa9d2908fc9 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a024bf91281316487ebb0afa9d2908fc9">getValidGrammar</a> () const</td></tr>
<tr class="separator:a024bf91281316487ebb0afa9d2908fc9 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a0c50f7b813d84e5e7f256101c6628 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_symbol.html">Symbol</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a54a0c50f7b813d84e5e7f256101c6628">getStartSymbol</a> () const</td></tr>
<tr class="separator:a54a0c50f7b813d84e5e7f256101c6628 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f3d6ba30babe7c485813ed652d3b0b7 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a8f3d6ba30babe7c485813ed652d3b0b7">setStartSymbol</a> (const unsigned int)</td></tr>
<tr class="separator:a8f3d6ba30babe7c485813ed652d3b0b7 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d498512f1ee418c6f2a3ad4462dd7a9 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a4d498512f1ee418c6f2a3ad4462dd7a9">setStartSymbol</a> (const <a class="el" href="class_symbol.html">Symbol</a> *)</td></tr>
<tr class="separator:a4d498512f1ee418c6f2a3ad4462dd7a9 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a29abd1c0d39af9262d3ec054a3273c80 inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a29abd1c0d39af9262d3ec054a3273c80">setStartSymbol</a> (const string &amp;)</td></tr>
<tr class="separator:a29abd1c0d39af9262d3ec054a3273c80 inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7700c2cdf21d73edbba886da3ee9ba1a inherit pub_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_rule.html">Rule</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#a7700c2cdf21d73edbba886da3ee9ba1a">getStartRule</a> () const</td></tr>
<tr class="separator:a7700c2cdf21d73edbba886da3ee9ba1a inherit pub_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_mapper"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_mapper')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_mapper.html">Mapper</a></td></tr>
<tr class="memitem:a15fd8e5e4f913d24bb3a2c1371d6426c inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a15fd8e5e4f913d24bb3a2c1371d6426c">Mapper</a> ()</td></tr>
<tr class="separator:a15fd8e5e4f913d24bb3a2c1371d6426c inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af926e742d889da4b514c2c860ac75837 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#af926e742d889da4b514c2c860ac75837">Mapper</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:af926e742d889da4b514c2c860ac75837 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a54a01dad7989624701227b4cb01561b6 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a54a01dad7989624701227b4cb01561b6">Mapper</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a54a01dad7989624701227b4cb01561b6 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79a375c7f925bc8db2b6a0a0acb04cf9 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a79a375c7f925bc8db2b6a0a0acb04cf9">Mapper</a> (const <a class="el" href="class_mapper.html">Mapper</a> &amp;)</td></tr>
<tr class="separator:a79a375c7f925bc8db2b6a0a0acb04cf9 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a24b42bce1e3052a0009181ed283d1070 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a24b42bce1e3052a0009181ed283d1070">~Mapper</a> ()</td></tr>
<tr class="separator:a24b42bce1e3052a0009181ed283d1070 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2affa751192b301f462b002e9a0b2fb4 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_genotype.html">Genotype</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a2affa751192b301f462b002e9a0b2fb4">getGenotype</a> () const</td></tr>
<tr class="separator:a2affa751192b301f462b002e9a0b2fb4 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a96e07e87fa2f1f8174c0cc3baa22b965 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a96e07e87fa2f1f8174c0cc3baa22b965">setGenotype</a> (const <a class="el" href="class_genotype.html">Genotype</a> &amp;)</td></tr>
<tr class="separator:a96e07e87fa2f1f8174c0cc3baa22b965 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbb17f62e20ff64521c5419c31052c3f inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="class_phenotype.html">Phenotype</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#adbb17f62e20ff64521c5419c31052c3f">getPhenotype</a> () const</td></tr>
<tr class="separator:adbb17f62e20ff64521c5419c31052c3f inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32106eccb705a63719fafbe293f27f70 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a32106eccb705a63719fafbe293f27f70">setPhenotype</a> (const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;)</td></tr>
<tr class="separator:a32106eccb705a63719fafbe293f27f70 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2620cb58f70ec87748439dfc1a8acf7 inherit pub_methods_class_mapper"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#ab2620cb58f70ec87748439dfc1a8acf7">setGenotypeMaxCodonValue</a> (const <a class="el" href="_genotype_8h.html#a9950f670ceea0545d1d0a5cf8858ac71">CodonType</a>)</td></tr>
<tr class="separator:ab2620cb58f70ec87748439dfc1a8acf7 inherit pub_methods_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_initialiser"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_initialiser')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_initialiser.html">Initialiser</a></td></tr>
<tr class="memitem:a8dd8ae6d9ddf778ae957cdc8ce49ed31 inherit pub_methods_class_initialiser"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a8dd8ae6d9ddf778ae957cdc8ce49ed31">Initialiser</a> (const unsigned int=1)</td></tr>
<tr class="separator:a8dd8ae6d9ddf778ae957cdc8ce49ed31 inherit pub_methods_class_initialiser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c2540a04e5d824a113c3429b98641df inherit pub_methods_class_initialiser"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a7c2540a04e5d824a113c3429b98641df">Initialiser</a> (const <a class="el" href="class_initialiser.html">Initialiser</a> &amp;)</td></tr>
<tr class="separator:a7c2540a04e5d824a113c3429b98641df inherit pub_methods_class_initialiser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c53305a16d685ee2d0c6e2504a5b060 inherit pub_methods_class_initialiser"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a5c53305a16d685ee2d0c6e2504a5b060">~Initialiser</a> ()</td></tr>
<tr class="separator:a5c53305a16d685ee2d0c6e2504a5b060 inherit pub_methods_class_initialiser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d95b26ca6528843640551ee8be75924 inherit pub_methods_class_initialiser"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#a3d95b26ca6528843640551ee8be75924">getPopSize</a> () const</td></tr>
<tr class="separator:a3d95b26ca6528843640551ee8be75924 inherit pub_methods_class_initialiser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa9c8d119346e4305b09260eff7182884 inherit pub_methods_class_initialiser"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#aa9c8d119346e4305b09260eff7182884">setPopSize</a> (const unsigned int)</td></tr>
<tr class="separator:aa9c8d119346e4305b09260eff7182884 inherit pub_methods_class_initialiser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afe68acda2f20fb5e1205689acd7a5bf5 inherit pub_methods_class_initialiser"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#afe68acda2f20fb5e1205689acd7a5bf5">getIndex</a> () const</td></tr>
<tr class="separator:afe68acda2f20fb5e1205689acd7a5bf5 inherit pub_methods_class_initialiser"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abcd17be7bcc095649c8ecf5785c58dd5 inherit pub_methods_class_initialiser"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_initialiser.html#abcd17be7bcc095649c8ecf5785c58dd5">setIndex</a> (const unsigned int)</td></tr>
<tr class="separator:abcd17be7bcc095649c8ecf5785c58dd5 inherit pub_methods_class_initialiser"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:acfb595ac4ede466888236d154b41ee4f"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="_a_g_symbol_8h.html#a957d51e6618189668fefc29a518bf28a">AGMapState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar_s_i.html#acfb595ac4ede466888236d154b41ee4f">getAGInitProductionSet</a> (<a class="el" href="class_rule.html">Rule</a> *&amp;rulePtr, <a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> &amp;currentAGNode, const unsigned int maxDepth, const bool growMethod, vector&lt; int &gt; &amp;possibleRules)</td></tr>
<tr class="separator:acfb595ac4ede466888236d154b41ee4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_g_e_grammar"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_g_e_grammar')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_g_e_grammar.html">GEGrammar</a></td></tr>
<tr class="memitem:a01e85bdaba8f787d52b7dc1c8fce04ab inherit pro_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a01e85bdaba8f787d52b7dc1c8fce04ab">genotype2Phenotype</a> ()</td></tr>
<tr class="separator:a01e85bdaba8f787d52b7dc1c8fce04ab inherit pro_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7f6e7a5675dc684389e72d208789153d inherit pro_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a7f6e7a5675dc684389e72d208789153d">phenotype2Genotype</a> ()</td></tr>
<tr class="separator:a7f6e7a5675dc684389e72d208789153d inherit pro_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a209f47f70b3b17c858185d2e96d29d60 inherit pro_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a209f47f70b3b17c858185d2e96d29d60">buildDTree</a> (<a class="el" href="_c_f_grammar_8h.html#abc016d5291a9696bcd5da13b60dbf4b8">DerivationTree</a> &amp;, vector&lt; <a class="el" href="class_production.html">Production</a> * &gt;::iterator &amp;)</td></tr>
<tr class="separator:a209f47f70b3b17c858185d2e96d29d60 inherit pro_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b5d7baf9c531f877a0508114dac4c93 inherit pro_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="_a_g_symbol_8h.html#a957d51e6618189668fefc29a518bf28a">AGMapState</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a1b5d7baf9c531f877a0508114dac4c93">buildAGTree</a> (bool init, <a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> &amp;currentNode, const <a class="el" href="class_symbol.html">Symbol</a> *nodeSym, <a class="el" href="class_a_g_context.html">AGContext</a> &amp;context, stack&lt; const <a class="el" href="class_symbol.html">Symbol</a> * &gt; &amp;nonterminals, Genotype::iterator &amp;genoIt, unsigned int &amp;newEffectiveSize, unsigned int &amp;wraps, bool &amp;gotToUseWrap, int prevProdIndex, unsigned int backtrack, const bool growMethod=false, const unsigned int maxDepth=0, int genoLenSoFar=0)</td></tr>
<tr class="separator:a1b5d7baf9c531f877a0508114dac4c93 inherit pro_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74f2e1192083a23b97ad59bb06e440e9 inherit pro_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a74f2e1192083a23b97ad59bb06e440e9">chooseProduction</a> (int codon, <a class="el" href="class_rule.html">Rule</a> *rulePtr, <a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> *=NULL)</td></tr>
<tr class="separator:a74f2e1192083a23b97ad59bb06e440e9 inherit pro_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada35cb0875e42bc6171919ce0f283710 inherit pro_methods_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="class_symbol.html">Symbol</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#ada35cb0875e42bc6171919ce0f283710">createSymbol</a> (const <a class="el" href="class_symbol.html">Symbol</a> &amp;, bool=false)</td></tr>
<tr class="separator:ada35cb0875e42bc6171919ce0f283710 inherit pro_methods_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_grammar"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_grammar')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_grammar.html">Grammar</a></td></tr>
<tr class="memitem:ae99ce7c7ac064f4728c1675227beeb52 inherit pro_methods_class_grammar"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_grammar.html#ae99ce7c7ac064f4728c1675227beeb52">setValidGrammar</a> (const bool)</td></tr>
<tr class="separator:ae99ce7c7ac064f4728c1675227beeb52 inherit pro_methods_class_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_g_e_grammar"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_g_e_grammar')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_g_e_grammar.html">GEGrammar</a></td></tr>
<tr class="memitem:a99547280331bbeb58afe3acf01108c0a inherit pro_attribs_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">vector&lt; <a class="el" href="class_production.html">Production</a> * &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a99547280331bbeb58afe3acf01108c0a">productions</a></td></tr>
<tr class="separator:a99547280331bbeb58afe3acf01108c0a inherit pro_attribs_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4484e523fde253ea6ac22a1d79846c5 inherit pro_attribs_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#ac4484e523fde253ea6ac22a1d79846c5">useAG</a></td></tr>
<tr class="separator:ac4484e523fde253ea6ac22a1d79846c5 inherit pro_attribs_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10ba4c1a8dcd16f319c23279d9bd4533 inherit pro_attribs_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a10ba4c1a8dcd16f319c23279d9bd4533">agLookUp</a></td></tr>
<tr class="separator:a10ba4c1a8dcd16f319c23279d9bd4533 inherit pro_attribs_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4b1bcd828a58754db1ce6f42fd07263f inherit pro_attribs_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_a_g_context.html">AGContext</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a4b1bcd828a58754db1ce6f42fd07263f">agContext</a></td></tr>
<tr class="separator:a4b1bcd828a58754db1ce6f42fd07263f inherit pro_attribs_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a72b97d5b8d879aee9f78870c8e96d940 inherit pro_attribs_class_g_e_grammar"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_g_e_grammar.html#a72b97d5b8d879aee9f78870c8e96d940">agDtree</a></td></tr>
<tr class="separator:a72b97d5b8d879aee9f78870c8e96d940 inherit pro_attribs_class_g_e_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_c_f_grammar"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_c_f_grammar')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_c_f_grammar.html">CFGrammar</a></td></tr>
<tr class="memitem:a886451252e96c45de45c39c224d60d96 inherit pro_attribs_class_c_f_grammar"><td class="memItemLeft" align="right" valign="top"><a class="el" href="_c_f_grammar_8h.html#abc016d5291a9696bcd5da13b60dbf4b8">DerivationTree</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_c_f_grammar.html#a886451252e96c45de45c39c224d60d96">derivationTree</a></td></tr>
<tr class="separator:a886451252e96c45de45c39c224d60d96 inherit pro_attribs_class_c_f_grammar"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_mapper"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_mapper')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_mapper.html">Mapper</a></td></tr>
<tr class="memitem:a058104ce77afefce7ff10cf98baea52b inherit pro_attribs_class_mapper"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_genotype.html">Genotype</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#a058104ce77afefce7ff10cf98baea52b">genotype</a></td></tr>
<tr class="separator:a058104ce77afefce7ff10cf98baea52b inherit pro_attribs_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc4c81ef77cc70cda9a1881637bf3bd1 inherit pro_attribs_class_mapper"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_phenotype.html">Phenotype</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_mapper.html#adc4c81ef77cc70cda9a1881637bf3bd1">phenotype</a></td></tr>
<tr class="separator:adc4c81ef77cc70cda9a1881637bf3bd1 inherit pro_attribs_class_mapper"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="aec8a83108e13942ebd5a5d668757c61d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec8a83108e13942ebd5a5d668757c61d">&#9670;&nbsp;</a></span>GEGrammarSI() <span class="overload">[1/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GEGrammarSI::GEGrammarSI </td>
          <td>(</td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useAttributeGrammar</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> *&#160;</td>
          <td class="paramname"><em>lookup</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_context.html">AGContext</a> *&#160;</td>
          <td class="paramname"><em>context</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a9c68ce8b820c49b6d10f797203b786d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9c68ce8b820c49b6d10f797203b786d2">&#9670;&nbsp;</a></span>GEGrammarSI() <span class="overload">[2/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GEGrammarSI::GEGrammarSI </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_genotype.html">Genotype</a> &amp;&#160;</td>
          <td class="paramname"><em>newGenotype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useAttributeGrammar</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> *&#160;</td>
          <td class="paramname"><em>lookup</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_context.html">AGContext</a> *&#160;</td>
          <td class="paramname"><em>context</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5e3dc35bef352f55e7250b70eff08ba"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5e3dc35bef352f55e7250b70eff08ba">&#9670;&nbsp;</a></span>GEGrammarSI() <span class="overload">[3/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GEGrammarSI::GEGrammarSI </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_phenotype.html">Phenotype</a> &amp;&#160;</td>
          <td class="paramname"><em>newPhenotype</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>useAttributeGrammar</em> = <code>false</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_derivation_tree.html">AGDerivationTree</a> *&#160;</td>
          <td class="paramname"><em>newAGDTree</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_look_up.html">AGLookUp</a> *&#160;</td>
          <td class="paramname"><em>lookup</em> = <code>NULL</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_a_g_context.html">AGContext</a> *&#160;</td>
          <td class="paramname"><em>context</em> = <code>NULL</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a7f1385c9b6b3df5933e689dcbc5c1528"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7f1385c9b6b3df5933e689dcbc5c1528">&#9670;&nbsp;</a></span>GEGrammarSI() <span class="overload">[4/4]</span></h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GEGrammarSI::GEGrammarSI </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_g_e_grammar_s_i.html">GEGrammarSI</a> &amp;&#160;</td>
          <td class="paramname"><em>copy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3590c5857c7be0318286a4b7093bb59c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3590c5857c7be0318286a4b7093bb59c">&#9670;&nbsp;</a></span>~GEGrammarSI()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">GEGrammarSI::~GEGrammarSI </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="acfb595ac4ede466888236d154b41ee4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acfb595ac4ede466888236d154b41ee4f">&#9670;&nbsp;</a></span>getAGInitProductionSet()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="_a_g_symbol_8h.html#a957d51e6618189668fefc29a518bf28a">AGMapState</a> GEGrammarSI::getAGInitProductionSet </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_rule.html">Rule</a> *&amp;&#160;</td>
          <td class="paramname"><em>rulePtr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="_a_g_derivation_tree_8h.html#aea8835f130330807224a71891dcf0c86">AGTree</a> &amp;&#160;</td>
          <td class="paramname"><em>currentAGNode</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>maxDepth</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const bool&#160;</td>
          <td class="paramname"><em>growMethod</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">vector&lt; int &gt; &amp;&#160;</td>
          <td class="paramname"><em>possibleRules</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplemented from <a class="el" href="class_g_e_grammar.html#a5ac50114202ab805099b2625cdf60ac3">GEGrammar</a>.</p>

</div>
</div>
<a id="a3985f0e2ef65a3feb8c6bc103f23ce7a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3985f0e2ef65a3feb8c6bc103f23ce7a">&#9670;&nbsp;</a></span>getFull()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float GEGrammarSI::getFull </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8bd217d5d37991e377905962353e755a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8bd217d5d37991e377905962353e755a">&#9670;&nbsp;</a></span>getGrow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float GEGrammarSI::getGrow </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a3a1822be13ea58189255f43ab1cb1f0a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3a1822be13ea58189255f43ab1cb1f0a">&#9670;&nbsp;</a></span>getMaxDepth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int GEGrammarSI::getMaxDepth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a67c0a6d9687a9c6b1f9dfde3287b63c0"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a67c0a6d9687a9c6b1f9dfde3287b63c0">&#9670;&nbsp;</a></span>getTailRatio()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">float GEGrammarSI::getTailRatio </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a1cf85748f587412349ab967f565f40ea"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1cf85748f587412349ab967f565f40ea">&#9670;&nbsp;</a></span>getTailSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int GEGrammarSI::getTailSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aee49b2210200330f9f8dd7cf595b8c90"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aee49b2210200330f9f8dd7cf595b8c90">&#9670;&nbsp;</a></span>init()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">bool GEGrammarSI::init </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>index</em> = <code>UINT_MAX</code></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Implements <a class="el" href="class_initialiser.html#a225c6fe7e8fc696f89384f4214bb7d16">Initialiser</a>.</p>

</div>
</div>
<a id="a0b28ed5f1dcb4d2c6e5fc6ad135fa173"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0b28ed5f1dcb4d2c6e5fc6ad135fa173">&#9670;&nbsp;</a></span>setFull()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GEGrammarSI::setFull </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>newFull</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a188a97c9ca005f804fc236a0897da474"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a188a97c9ca005f804fc236a0897da474">&#9670;&nbsp;</a></span>setGrow()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GEGrammarSI::setGrow </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>newGrow</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa9ed35179956ed3b750a3dfddf19f824"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa9ed35179956ed3b750a3dfddf19f824">&#9670;&nbsp;</a></span>setMaxDepth()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GEGrammarSI::setMaxDepth </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newMaxDepth</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a706104b1a5d1589fbfe5accee668e706"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a706104b1a5d1589fbfe5accee668e706">&#9670;&nbsp;</a></span>setTailRatio()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GEGrammarSI::setTailRatio </td>
          <td>(</td>
          <td class="paramtype">const float&#160;</td>
          <td class="paramname"><em>newTailRatio</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a75eca9dfb2587e18862aa6ca5686882b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a75eca9dfb2587e18862aa6ca5686882b">&#9670;&nbsp;</a></span>setTailSize()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void GEGrammarSI::setTailSize </td>
          <td>(</td>
          <td class="paramtype">const unsigned int&#160;</td>
          <td class="paramname"><em>newTailSize</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="_g_e_grammar_s_i_8h_source.html">GEGrammarSI.h</a></li>
<li>src/<a class="el" href="_g_e_grammar_s_i_8cpp.html">GEGrammarSI.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
